Package org.apache.sysds.parser

## Class IterablePredicate

- java.lang.Object
- - org.apache.sysds.parser.Expression
  - - org.apache.sysds.parser.IterablePredicate

All Implemented Interfaces:
  `ParseInfo`

    public class IterablePredicate
    extends Expression

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.sysds.parser.Expression

`Expression.BinaryOp, Expression.BooleanOp, Expression.DataOp, Expression.FunctCallOp, Expression.RelationalOp`

### Constructor Summary

Constructors
`IterablePredicate​(org.antlr.v4.runtime.ParserRuleContext ctx, DataIdentifier iterVar, Expression fromExpr, Expression toExpr, Expression incrementExpr, HashMap<String,​String> parForParamValues, String filename)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Expression` `getFromExpr()`
`Expression` `getIncrementExpr()`
`DataIdentifier` `getIterVar()`
`HashMap<String,​String>` `getParForParams()`
`Expression` `getToExpr()`
`Expression` `rewriteExpression​(String prefix)`
`void` `setFromExpr​(Expression from)`
`void` `setIncrementExpr​(Expression increment)`
`void` `setIterVar​(DataIdentifier iterVar)`
`void` `setParForParams​(HashMap<String,​String> params)`
`void` `setToExpr​(Expression to)`
`String` `toString()`
`void` `validateExpression​(HashMap<String,​DataIdentifier> ids, HashMap<String,​ConstIdentifier> constVars, boolean conditional)`
`VariableSet` `variablesRead()`
`VariableSet` `variablesUpdated()`

### Methods inherited from class org.apache.sysds.parser.Expression

`computeDataType, computeDataType, computeValueType, computeValueType, computeValueType, convertFormatType, equals, getBeginColumn, getBeginLine, getBinaryMatrixCharacteristics, getBinaryOp, getBooleanOp, getEndColumn, getEndLine, getFilename, getOutput, getOutputs, getParseExceptionList, getRelationalOp, getTempName, getText, hashCode, printErrorLocation, printInfoLocation, printWarningLocation, raiseValidateError, raiseValidateError, raiseValidateError, setBeginColumn, setBeginLine, setCtxValues, setCtxValuesAndFilename, setEndColumn, setEndLine, setFilename, setOutput, setParseExceptionList, setParseInfo, setText, validateExpression`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IterablePredicate

    public IterablePredicate​(org.antlr.v4.runtime.ParserRuleContext ctx,
                             DataIdentifier iterVar,
                             Expression fromExpr,
                             Expression toExpr,
                             Expression incrementExpr,
                             HashMap<String,​String> parForParamValues,
                             String filename)

### Method Detail

#### variablesRead

    public VariableSet variablesRead()

Specified by:
  `variablesRead` in class `Expression`

#### variablesUpdated

    public VariableSet variablesUpdated()

Specified by:
  `variablesUpdated` in class `Expression`

#### rewriteExpression

    public Expression rewriteExpression​(String prefix)

Specified by:
  `rewriteExpression` in class `Expression`

#### validateExpression

    public void validateExpression​(HashMap<String,​DataIdentifier> ids,
                                   HashMap<String,​ConstIdentifier> constVars,
                                   boolean conditional)

Overrides:
  `validateExpression` in class `Expression`

#### getIterVar

    public DataIdentifier getIterVar()

#### setIterVar

    public void setIterVar​(DataIdentifier iterVar)

#### getFromExpr

    public Expression getFromExpr()

#### setFromExpr

    public void setFromExpr​(Expression from)

#### getToExpr

    public Expression getToExpr()

#### setToExpr

    public void setToExpr​(Expression to)

#### getIncrementExpr

    public Expression getIncrementExpr()

#### setIncrementExpr

    public void setIncrementExpr​(Expression increment)

#### getParForParams

    public HashMap<String,​String> getParForParams()

#### setParForParams

    public void setParForParams​(HashMap<String,​String> params)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`